com.streambase.liveview.server.table.plugin

## Class TablePropertiesConfigurationWrapper

- java.lang.Object
- - com.streambase.liveview.server.table.plugin.TablePropertiesConfigurationWrapper

-     public class TablePropertiesConfigurationWrapper
      extends Object

  TablePropertiesConfigurationWrapper is used as a place holder for remapped name against the original table name and a list of `TablePropertiesConfigurationWrapper.FilterdAlias`.
  Since:
    2.1.1

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `TablePropertiesConfigurationWrapper.FilterdAlias` FilteredAlias is used as a place holder for the formatter used to format table name and predicate filter.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TablePropertiesConfigurationWrapper(String remappedBaseName)` The constructor accepts the re-mapped name for the table corresponding to the original table name.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAliasConfiguration(String filteredNameOnBaseName, String predicateFilter)` This method is used to add a `TablePropertiesConfigurationWrapper.FilterdAlias` Configuration instance to this TablePropertiesConfigurationWrapper instance.
    `List<TablePropertiesConfigurationWrapper.FilterdAlias>` | `getFilteredAliases()` Returns the list of `TablePropertiesConfigurationWrapper.FilterdAlias` configurations.
    `String` | `getRemappedBaseName()` Returns the re-mapped name for the current table whose FilteredAlias instances are wrapped in this TablePropertiesConfigurationWrapper instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TablePropertiesConfigurationWrapper

          public TablePropertiesConfigurationWrapper(String remappedBaseName)

      The constructor accepts the re-mapped name for the table corresponding to the original table name.
      Parameters:
        `remappedBaseName` -

  - ### Method Detail

    - #### addAliasConfiguration

          public void addAliasConfiguration(String filteredNameOnBaseName,
                                            String predicateFilter)

      This method is used to add a `TablePropertiesConfigurationWrapper.FilterdAlias` Configuration instance to this TablePropertiesConfigurationWrapper instance.
      Parameters:
        `filteredNameOnBaseName` -
        `predicateFilter` -
      Since:
        2.1.1

    - #### getFilteredAliases

          public List<TablePropertiesConfigurationWrapper.FilterdAlias> getFilteredAliases()

      Returns the list of `TablePropertiesConfigurationWrapper.FilterdAlias` configurations.
      Returns:
        the list of `TablePropertiesConfigurationWrapper.FilterdAlias`
      Since:
        2.1.1

    - #### getRemappedBaseName

          public String getRemappedBaseName()

      Returns the re-mapped name for the current table whose FilteredAlias instances are wrapped in this TablePropertiesConfigurationWrapper instance.
      Returns:
        remapped base name string
      Since:
        2.1.1

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.